### Function

# Ggit AnnotatedCommit new_from_ref

#### Declaration [src]

    GgitAnnotatedCommit*
    ggit_annotated_commit_new_from_ref (
      GgitRepository* repository,
      GgitRef* ref,
      GError** error
    )

#### Description [src]

Create a GgitAnnotatedCommit from the given reference.

#### Parameters

`repository`

  Type: `GgitRepository`

  The repository.

  The data is owned by the caller of the function.

`ref`

  Type: `GgitRef`

  The reference to use to lookup the git_annotated_commit.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitAnnotatedCommit`

A `GgitAnnotatedCommit`.

The caller of the function takes ownership of the data, and is responsible for freeing it.